syms a11 a12 a21 a22 u1 u2 l1 l2 p
l1=100;
l2=1000;
a11=2;
a12=1/2;
a22=2/10;
u1=zeros(1,41);
u2=zeros(1,41);
p=zeros(1,41);
n1=zeros(1,41);
n=zeros(1,41);
a21=[1/20:15/800:8/10];
for i=1:1:length(a21);
    n1(i)=50*(10-sqrt(5/4/pi1(i))-1/pi1(i));
    if n1(i)<0;
        n(i)=0;
    else n(i)=n1(i);
    end
    p(i)=sqrt((a12*a22)/(a11*a21(i)));
    u1(i)=sqrt(100*a11/2*100*a11*p(i)/2)/100;
    u2(i)=sqrt((100*a11/2+n(i)*a21(i))*((1000-n(i))*a22-100*a11*p(i)/2))/1000;
end
plot(a21,u1,'s',a21,u2,'-');
axis([1/20 0.8 0 1]);
xlabel('Productivity \pi_1,(When \Pi_1=2,\Pi_2=1/2 and \pi_2=2/10)');
ylabel('Real Income Per Capita');
legend('US','China');